package com.zilber.boot.module.booking.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zilber.boot.module.booking.pojo.Booking;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 预约记录(Booking)表数据库访问层
 *
 * @author liuao
 * @since 2025-04-25 15:49:54
 */
@Mapper
@Repository
public interface BookingMapper
        extends BaseMapper<Booking>
{

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    Booking queryById(String id);

    /**
     * 分页查询
     *
     * @param booking 筛选条件
     * @return 查询结果
     */
    List<Booking> queryList(Booking booking);

    /**
     * 新增数据
     *
     * @param booking 实例对象
     * @return 实例对象
     */
    int addBooking(Booking booking);

    /**
     * 修改数据
     *
     * @param booking 实例对象
     * @return 实例对象
     */
    int editBooking(Booking booking);

    /**
     * 通过主键删除数据
     *
     * @return 是否成功
     */
    int deleteBooking(String[] ids);

}

