package com.zilber.boot.module.booking.form;

import com.zilber.boot.module.booking.enums.ApprovalStatus;
import com.zilber.boot.module.booking.group.Reject;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @Author LJX
 * @TIME 2025-04-28 10:00
 * @PROJECT termicheck-platform
 * created by Intellij IDEA
 * Description
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("预约审批表单")
public class ApprovalForm
{

    @ApiModelProperty("id")
    @NotNull(message = "id不能为空")
    private Long id;

    @ApiModelProperty("审批状态（0-待批，1-通过，2-驳回）")
    @NotNull(message = "审批状态不能为空")
    private ApprovalStatus approvalStatus;

    @ApiModelProperty("驳回理由")
    @NotNull(message = "驳回理由不能为空", groups = Reject.class)
    @NotBlank(message = "驳回理由不能为空", groups = Reject.class)
    private String rejectReason;

}
