package com.zilber.boot.module.booking.form.pr;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zilber.boot.utils.page.Pageable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author LJX
 * @TIME 2025-04-27 9:49
 * @PROJECT termicheck-platform
 * created by Intellij IDEA
 * Description
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("预约记录分页请求")
public class BookingPR
        extends Pageable
{

    /**
     * 厂家id
     */
    @ApiModelProperty(value = "厂家id")
    private Long factoryId;
    /**
     * 预约类型（1-省招检测，2-厂家委托）
     */
    @ApiModelProperty(value = "预约类型（1-省招检测，2-厂家委托）")
    private String bookingType;
    /**
     * 检测方式（1-全检，2-抽检）
     */
    @ApiModelProperty(value = "检测方式（1-全检，2-抽检）")
    private String inspectionMethod;
    /**
     * 设备数量
     */
    @ApiModelProperty(value = "设备数量")
    private Integer equipNum;
    /**
     * 设备类型
     */
    @ApiModelProperty(value = "设备类型")
    private String equipType;
    /**
     * 预约检测开始日期
     */
    @ApiModelProperty(value = "预约检测开始日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date inspectionDateStart;
    /**
     * 预约检测结束日期
     */
    @ApiModelProperty(value = "预约检测结束日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date inspectionDateEnd;
    /**
     * 地市公司
     */
    @ApiModelProperty(value = "地市公司")
    private String localOffice;
    /**
     * 中标类型
     */
    @ApiModelProperty(value = "中标类型")
    private String loaType;
    /**
     * 涉及工程类型
     */
    @ApiModelProperty(value = "涉及工程名称")
    private String projectName;
    /**
     * 招标批次
     */
    @ApiModelProperty(value = "招标批次")
    private Integer bidBatch;
    /**
     * 审批状态
     */
    @ApiModelProperty("审批状态（0-待批，1-通过，2-驳回）")
    private String approvalStatus;
    /**
     * 审批开始时间
     */
    @ApiModelProperty("审批开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date approveTimeStart;
    /**
     * 审批结束时间
     */
    @ApiModelProperty("审批结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date approveTimeEnd;
    /**
     * 创建者id
     */
    @ApiModelProperty(value = "创建者id")
    private Long creatorId;

}
