package com.zilber.boot.module.booking.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.zilber.boot.module.booking.form.ApprovalForm;
import com.zilber.boot.module.booking.form.add.BookingAF;
import com.zilber.boot.module.booking.form.modify.BookingMF;
import com.zilber.boot.module.booking.form.pr.BookingPR;
import com.zilber.boot.module.booking.pojo.Booking;
import com.zilber.boot.module.booking.vo.BookingVO;
import com.zilber.boot.utils.InternalResult;
import com.zilber.boot.utils.page.PageUtils;

import java.io.Serializable;
import java.util.List;

/**
 * 预约记录(Booking)表服务接口
 *
 * @author liuao
 * @since 2025-04-25 15:49:58
 */
public interface BookingService
        extends IService<Booking>
{

    InternalResult addBooking(BookingAF form);

    InternalResult updBooking(BookingMF form);

    InternalResult approve(ApprovalForm form);

    BookingVO getBooking(Serializable id);

    PageUtils getPage(BookingPR pr);

    InternalResult deleteBooking(BookingMF form);

    InternalResult deleteBookings(List<Serializable> idList);

}
