package com.zilber.boot.module.booking.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zilber.boot.module.booking.pojo.Booking;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.beans.BeanUtils;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author LJX
 * @TIME 2025-04-27 9:57
 * @PROJECT termicheck-platform
 * created by Intellij IDEA
 * Description
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("预约记录返回")
public class BookingVO
{

    /**
     * id
     */
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 厂家id
     */
    @ApiModelProperty(value = "厂家id")
    private Long factoryId;
    /**
     * 预约类型（1-省招检测，2-厂家委托）
     */
    @ApiModelProperty(value = "预约类型（1-省招检测，2-厂家委托）")
    private String bookingType;
    /**
     * 检测方式（1-全检，2-抽检）
     */
    @ApiModelProperty(value = "检测方式（1-全检，2-抽检）")
    private String inspectionMethod;
    /**
     * 设备数量
     */
    @ApiModelProperty(value = "设备数量")
    private Integer equipNum;
    /**
     * 设备类型
     */
    @ApiModelProperty(value = "设备类型")
    private String equipType;
    /**
     * 预约检测日期
     */
    @ApiModelProperty(value = "预约检测日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date inspectionDate;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 中标通知书路径
     */
    @ApiModelProperty(value = "中标通知书路径")
    private String loaUrl;
    /**
     * 地市公司
     */
    @ApiModelProperty(value = "地市公司")
    private String localOffice;
    /**
     * 中标类型
     */
    @ApiModelProperty(value = "中标类型")
    private String loaType;
    /**
     * 涉及工程类型
     */
    @ApiModelProperty(value = "涉及工程类型")
    private String projectName;
    /**
     * 招标批次
     */
    @ApiModelProperty(value = "招标批次")
    private Integer bidBatch;
    /**
     * 创建者id
     */
    @ApiModelProperty(value = "创建者id")
    private Long creatorId;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date creationTime;
    /**
     * 修改人id
     */
    @ApiModelProperty(value = "修改人id")
    private Long updaterId;
    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    public BookingVO(Booking booking)
    {
        BeanUtils.copyProperties(booking, this);
    }

}
